#!/usr/bin/perl --
#!/usr/local/bin/perl --
######################################################################
# index.cgi - This is PyukiWiki, yet another Wiki clone.
#
# $Id: index.cgi,v 1.13 2006/01/21 14:58:46 papu Exp $
#
# "PyukiWiki" version 0.1.6-alpha5-p2 $$
# Copyright (C) 2004 by Nekyo.
# Copyright (C) 2006 PyukiWiki Developers Team
# License: GPL v2 or (at your option) any later version
# http://nekyo.hp.infoseek.co.jp/
# http://pyukiwiki.sourceforge.jp/
#
# Based on YukiWiki http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sourceforge.jp/
#
# 1TAB=4Spaces
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return Code:UNIX=LF/Windows=CR+LF/Mac=CR
# Japanese Code=EUC
######################################################################

# Libraries.
use strict;
# if you can use lib is ../lib then swap this comment
BEGIN {
	push @INC, 'lib';
	$::_conv_start = (times)[0];
}

# If Windows NT Server, use sample it
#BEGIN {
#	push @INC, 'C:/inetpub/cgi-bin/pyuki/lib/';
#	push @INC, 'C:/inetpub/cgi-bin/pyuki/';
#	$::_conv_start = (times)[0];
#}
# or
#BEGIN {
#	chdir('C:/inetpub/cgi-bin/pyuki');
#	push @INC, 'C:/inetpub/cgi-bin/pyuki/lib/';
#	push @INC, 'C:/inetpub/cgi-bin/pyuki/';
#	$::_conv_start = (times)[0];
#}


use CGI qw(:standard);
use CGI::Carp qw(fatalsToBrowser);

require 'lib/wiki.cgi';

=head1 NAME

index.cgi - This is PyukiWiki Wrapper

=head1 DESCRIPTION

This file is a wrapper program for starting wiki.

=head1 AUTHOR

Nekyo http://nekyo.hp.infoseek.co.jp/

PyukiWiki Developers Team http://pyukiwiki.sourceforge.jp/

=head1 LICENSE

Copyright (C) 2004 by Nekyo.

Copyright (C) 2006 by PyukiWiki Developers Team

License is GNU GENERAL PUBLIC LICENSE 2

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.

=cut
