######################################################################
# pyukiwiki.ini.cgi - This is PyukiWiki, yet another Wiki clone.
# $Id: pyukiwiki.ini.cgi,v 1.25 2006/01/27 00:49:50 papu Exp $
#
# "PyukiWiki" version 0.1.6-beta3-p1 $$
# Copyright (C) 2004-2006 by Nekyo.
# http://nekyo.hp.infoseek.co.jp/
# Copyright (C) 2005-2006 PyukiWiki Developers Team
# http://pyukiwiki.sourceforge.jp/
# Based on YukiWiki http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sourceforge.jp/
# License: GPL2 and/or Artistic or each later version
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return Code:LF Japanese Code=EUC 1TAB=4Spaces
######################################################################

use strict;

# 
$::lang = "ja";				# ja:ܸ/cn:()/en:Ѹ()
$::kanjicode = "euc";		# euc:EUC-JP/utf8:UTF-8

# ǡǼǥ쥯ȥ
$::data_home = '.';		# CGIΤߥǡΥǥ쥯ȥ
$::data_pub = '.';		# ֥饦鸫ǡΥǥ쥯ȥ
$::data_url = '.';		# ֥饦СХǥ쥯ȥ

# cgi-bin̤Υǥ쥯ȥ
# for sourceforge.jp
# /home/groups/p/py/pyukiwiki/htdocs
# /home/groups/p/py/pyukiwiki/cgi-bin
#$::data_home = '.';
#$::data_pub = '../htdocs';
#$::data_url = '..';

# Windows NT Server (IIS+ActivePerl)ξ
#$::data_home = 'C:/inetpub/cgi-bin/pyuki/';
#$::data_pub = 'C:/inetpub/cgi-bin/pyuki/';
#$::data_url = '.';

$::data_dir    = "$::data_home/wiki";		# ڡǡ¸
$::diff_dir    = "$::data_home/diff";		# ʬ¸
$::cache_dir   = "$::data_pub/cache";		# 
$::cache_url   = "$::data_url/cache";		# 
$::upload_dir  = "$::data_pub/attach";		# ź
$::upload_url  = "$::data_url/attach";		# źURL
$::counter_dir = "$::data_home/counter";	# 
$::plugin_dir  = "$::data_home/plugin";		# ץ饰
$::explugin_dir= "$::data_home/lib";		# ץ饰
$::skin_dir    = "$::data_pub/skin";		# 
$::skin_url    = "$::data_url/skin";		# URL
$::image_dir   = "$::data_pub/image";		# 
$::image_url   = "$::data_url/image";		# URL
$::info_dir    = "$::data_home/info";		# 
$::res_dir     = "$::data_home/resource";	# ꥽

# ե
$::skin_file   = "$::skin_dir/pyukiwiki.skin." . $::lang . ".cgi";
$::use_blosxom=0;	# blosxom.cssѤȤˤ

# ưŪåȥåץե 0.1.6ǤϻѤޤͽ
$::setup_file	= "$::info_dir/setup.ini.cgi";

# wikiԾ
$::wiki_title = '';										# ̾ʤʤƤġ
$::modifier = 'PyukiWiki Developers Team';				# ̾
$::modifierlink = 'http://pyukiwiki.sourceforge.jp/';	# URI
$::modifier_mail = '';									# ԥ᡼륢ɥ쥹
$::meta_keyword='';										#  ʤмư

# ץ̾
# servererrorurlhackץ饰ѤϡưǤϤʤ
# $::scriptɬꤷƲ
#$::script			= 'index.cgi';
$::script			= '';								# ư

# ǥեȥڡ̾
$::FrontPage		= 'FrontPage';
$::RecentChanges	= 'RecentChanges';
$::MenuBar			= 'MenuBar';
$::RightBar			= ':RightBar';						# for feature
$::Header			= ':Header';
$::Footer			= ':Footer';
$::rule_page		= "롼";
$::InterWikiName	= 'InterWikiName';
$::ErrorPage		= "ErrorPage";

# ԥѥ (pass)
$::adminpass = crypt("pass", "AA");

# RSS
$::modifier_rss_title=$::wiki_title;
$::modifier_rss_link=$::modifierlink;
$::modifier_rss_description = "Modified by $::modifier";

#$::modifier_rss_title = "PyukiWiki $::version";
#$::modifier_rss_link = 'http://pyukiwiki.sourceforge.jp/';
#$::modifier_rss_description = 'This is PyukiWiki.';

# ץ饰
$::useExPlugin = 1;		# explugin 1:Ȥ/0:Ȥʤ

# ɽ
$::usefacemark = 1;		# եޡ 1:Ȥ/0:Ȥʤ
$::use_popup = 1;   	#  
						# 0:̤˥󥯤
						# 1:ݥåץå (target=_blank)
						# 2:HTTP_HOSTӤơƱʤ̤
						# 3:$basehrefӤƱʤ̤ˡwikiʲΥڡΤߡ
$::last_modified = 2;	# ǽ 0:ɽ/1:ɽ/2:ɽ
$::lastmod_prompt = 'Last-modified:'; # ǽΥץץ
$::allview = 1;			# 1:٤Ƥβ̤Header, MenuBar, Footerɽ, 0:ʤ

$::notesview = 0;		#  0:$bodyβɽ ,1:footerξɽ, 2:footerβɽ
$::enable_convtime = 1;	# Сȥ 1:ɽ/0:ɽ;

# եޥå
$::date_format = 'Y-m-d'; 			# replace &date; to this format.
$::time_format = 'H:i:s'; 			# replace &date; to this format,
$::lastmod_format="Y-m-d(lL) H:i:s";# lastmod format
$::recent_format="Y-m-d(lL) H:i:s";	# RecentChanges(?cmd=recent) format
#$::lastmod_format="yǯnj(lL) ALgkʬS";	# ܸɽ

	# ǯ  :Y:(4)/y:(2)
	#   :n:1-12/m:01-12/M:Jan-Dec/F:January-December
	#   :j:1-31/J:01-31
	# :l:Sunday-Saturday/D:Sun-Sat/DL:-/lL:-
	# ampm:a:am or pm/A:AM or PM/AL: or 
	#   : g:1-12/G:0-23/h:01-12/H/00-23
	# ʬ  : k:0-59/i:00-59
	#   : S:0-59/s:00-59
	# O   : ˥åȤλֺ
	# r RFC 822 եޥåȤ줿 : Thu, 21 Dec 2000 16:01:07 +0200 
	# Z ॾΥեåÿ -43200  43200 
	# L ǯǤ뤫ɤɽ͡ 1ʤ鱼ǯ0ʤ鱼ǯǤϤʤ 
	# lL:ߤΥθǤû
	# DL:ߤΥθǤĹ
	# aL:ߤΥθǤθʸ
	# AL:ߤΥθǤθʾʸ
	# t ꤷ 28  31 
	# B Swatch 󥿡ͥåȻ 000  999 
	# U Unix (1970ǯ1100ʬ0)ÿ See also time() 

# ڡԽ
$::cols = 80;			# ƥȥꥢΥ
$::rows = 25;			# ƥȥꥢιԿ
$::extend_edit = 1;		# ĥǽ(JavaScript) 1:/0:̤
$::pukilike_edit = 3;	# PukiWiki饤Խ
						# 0:Pyukiwiki/1:PukiWiki/2:PukiWiki+ɤ߹ߵǽ
						# 3:PukiWiki+Τ߿ɤ߹ߵǽ
$::edit_afterpreview=1;	# ץӥ塼 0:Խ̤ξ 1:Խ̤β
$::new_refer='[[$1]]';	# ξ硢ϢڡΥ󥯤ͤȤɽ
#$::new_refer='';			# ʸˤɽޤ
$::new_dirnavi=1;		# ڡ̤ǡɤΥڡβؤ뤫
						# Ǥ褦ˤ 1:/0:̤
$::write_location=0;	# ڡԽ塢locationǰư
						# ̵ǤŽ񤭹ߤˤϤʤޤ󤬡äƥɥܥ
						# ȤΥ֥饦ηٹ˻ߤǤޤ
$::write_location=1;	# debug

# PukiWiki
$::usePukiWikiStyle=1;	# 0:Ȥʤ 1:Ȥ

# WikiNameȤʤ
$::nowikiname = 0;		# 0:WikiNameư 1:Ū [[ ]] ɬ

# URLμư ([[ ]] Ū˻ꤵ줿ΤϤΤ)
$::autourllink = 1;

# ᡼륢ɥ쥹μư ([[ ]] Ū˻ꤵ줿ΤϤΤ)
$::automaillink = 1;

# Ǽ뤵ƤڡǤ񤭹褦ˤ롣
$::writefrozenplugin = 0;	# 0:Բ 1:

# ź
$::file_uploads = 3;	# źդ 0:Ȥʤ/1:Ȥ/2:ǧդ/3:Τǧ
$::max_filesize = 100000;	# åץɥե

# 
$::use_FuzzySearch=1;	# 0:̾︡/1:ܸ줢ޤѤ

# ȥޥå
$::use_SiteMap=0;		# 0:ListΤ/1:List,ȥޥåξ

#
$::_symbol_anchor = '&dagger;';
$::maxrecent = 50;

# ˴ޤʤڡ̾(ɽ)
$::non_list = qq((^\:));
$::non_list = qq((^\:|$::MenuBar\$)); # example of MenuBar

# gzip ѥꤷơlib/gzip.inc.pl  gzip.inc.cgi˥͡हȰ̤ͭˤʤ롣
#$::gzip_path = '/bin/gzip -1';
#$::gzip_path = '/usr/bin/gzip -1 -f';
#$::gzip_path = '';

# P3PΥѥȥݥꥷ http://fs.pics.enc.or.jp/p3pwiz/p3p_ja.html
# ɬפǤ /w3cʲǥ쥯ȥˤŬڤ˥ե֤ͭˤޤ
#$::P3P="NON DSP COR CURa ADMa DEVa IVAa IVDa OUR SAMa PUBa IND ONL UNI COM NAV INT CNT STA";
$::P3P="";

1;

__END__
=head1 NAME

pyukiwiki.ini.cgi - This is pyukiwiki setting file

=head1 DESCRIPTION

This file is a configuration file of PyukiWiki.
Please carry out a suitable setup before setting up CGI.

=cut
